summaryrefslogtreecommitdiffstats
path: root/academic/grpn
diff options
context:
space:
mode:
author Richard Ellis2010-05-12 23:27:38 +0200
committer David Somero2010-05-12 23:27:38 +0200
commit77ae82ede3f6223229c35430c0ffffc2c999f006 (patch)
tree78a466299503ad47753ebfb81fdb858ff490f5c9 /academic/grpn
parentcfc64069575ace24d28e99b16007377081f1f3d7 (diff)
downloadslackbuilds-77ae82ede3f6223229c35430c0ffffc2c999f006.tar.gz
academic/grpn: Added to 12.2 repository
Diffstat (limited to 'academic/grpn')
-rw-r--r--academic/grpn/README9
-rw-r--r--academic/grpn/grpn.SlackBuild71
-rw-r--r--academic/grpn/grpn.info8
-rw-r--r--academic/grpn/slack-desc19
4 files changed, 107 insertions, 0 deletions
diff --git a/academic/grpn/README b/academic/grpn/README
new file mode 100644
index 0000000000..af0f57f7b3
--- /dev/null
+++ b/academic/grpn/README
@@ -0,0 +1,9 @@
+GRPN is a graphical reverse polish notation (RPN) calculator.
+GRPN is written in C and uses the GIMP Toolkit (GTK) on top of X11. GRPN
+was developed under Linux but has also been tested under SunOS and Solaris.
+It should work with almost any UNIX, though. GRPN works with real numbers
+and complex numbers. Numbers can be displayed in 4 different radix modes,
+and complex numbers can be displayed in either Cartesian or polar form.
+
+GRPN uses a stack and reverse polish notation to evaluate expressions. The
+stack in GRPN is infinite and limited only by available memory.
diff --git a/academic/grpn/grpn.SlackBuild b/academic/grpn/grpn.SlackBuild
new file mode 100644
index 0000000000..1ee20ed034
--- /dev/null
+++ b/academic/grpn/grpn.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for grpn
+
+# Written by Richard Ellis (rellis@dp100.com)
+
+# Released into the public domain June 6, 2009
+
+PRGNAM=grpn
+VERSION=${VERSION:-1.1.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make
+make install PREFIX=$PKG/usr
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README CHANGES \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/academic/grpn/grpn.info b/academic/grpn/grpn.info
new file mode 100644
index 0000000000..7298131c65
--- /dev/null
+++ b/academic/grpn/grpn.info
@@ -0,0 +1,8 @@
+PRGNAM="grpn"
+VERSION="1.1.2"
+HOMEPAGE="http://lashwhip.com/grpn.html"
+DOWNLOAD="http://lashwhip.com/grpn/grpn-1.1.2.tar.gz"
+MD5SUM="a602f1e4dd3138ba2fe745e14b217039"
+MAINTAINER="Richard Ellis"
+EMAIL="rellis@dp100.com"
+APPROVED="dsomero"
diff --git a/academic/grpn/slack-desc b/academic/grpn/slack-desc
new file mode 100644
index 0000000000..22a9993421
--- /dev/null
+++ b/academic/grpn/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+grpn: GRPN (graphical reverse polish notation (RPN) calculator)
+grpn:
+grpn: GRPN is written in C and uses the GIMP Toolkit (GTK) on top of X11.
+grpn: GRPN was developed under Linux but has also been tested under SunOS
+grpn: and Solaris. It should work with almost any UNIX, though.
+grpn: GRPN works with real numbers and complex numbers. Numbers can be
+grpn: displayed in 4 different radix modes, and complex numbers can be
+grpn: displayed in either Cartesian or polar form. GRPN uses a stack and
+grpn: reverse polish notation to evaluate expressions. The stack in GRPN is
+grpn: infinite and limited only by available memory.
+grpn: Homepage: http://lashwhip.com/grpn.html